#include <stdio.h>
#include <stdlib.h>
#include <math.h>
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
int max(int a,int b,int c){
	int max;
	if(a>b)
    	max=a;
    else max=b;
    if(c>max)
    	max=c;
    return max;	
}
int main(int argc, char *argv[]) {
	long long int A,B,C,a,b,c,a1,b1,c1;
	int x,ba=0,bb=0,bc=0;
	scanf("%lld",&A); scanf("%lld",&B); scanf("%lld",&C);
	a1=A; b1=B; c1=C;
	while(A>0){
		ba++;
		A=A/10;
	}	
	while(B>0){
		bb++;
		B=B/10;
	}	
	while(C>0){
		bc++;
		C=C/10;
	}	
    x=max(ba,bb,bc); 
	a=a1*pow(10,x-ba);
    b=b1*pow(10,x-bb);
	c=c1*pow(10,x-bc);	
	if((a>b) && (a>c)){
		if(b>c)
		printf("%lld%lld%lld",a1,b1,c1);
		else printf("%lld%lld%lld",a1,c1,b1);
	}
	if((b>a) && (b>c)){
		if(a>c)
		printf("%lld%lld%lld",b1,a1,c1);
		else printf("%lld%lld%lld",b1,c1,a1);
	}
	if((c>a) && (c>b)){
		if(a>b)
		printf("%lld%lld%lld",c1,a1,b1);
		else printf("%lld%lld%lld",c1,b1,a1);
	}
	return 0;
}